FLANG

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Fortran::evaluate::IntrinsicInterface Struct Reference
Inheritance diagram for Fortran::evaluate::IntrinsicInterface:

## Public Member Functions
std::optional< SpecificCall > | Match (const CallCharacteristics &, const common::IntrinsicTypeDefaultKinds &, ActualArguments &, FoldingContext &context) const
int | CountArguments () const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Public Attributes
const char * | name {nullptr}
IntrinsicDummyArgument | dummy [maxArguments]
TypePattern | result
Rank | rank {Rank::elemental}
IntrinsicClass | intrinsicClass {IntrinsicClass::elementalFunction}

## Static Public Attributes
static constexpr int | maxArguments {7}

The documentation for this struct was generated from the following file:

- lib/Evaluate/intrinsics.cpp